#include <ESP8266.h>

#define SSID        "hikanet"
#define PASSWORD    "knt55153"
#define HOST_NAME   "192.168.1.105"
#define HOST_PORT   (9999)

SoftwareSerial mySerial( 3, 2 ); 
ESP8266 wifi( mySerial );

void setup(void)
{
    Serial.begin(9600);
    
    mySerial.begin(115200);
    mySerial.println("AT+UART_CUR=9600,8,1,0,0");
    delay(10);
    mySerial.begin(9600); 
    delay(10);
        
    if ( wifi.setOprToStation() ) {
        Serial.println( "OK:Setup" );
    } else {
        Serial.println( "Error:Setup" );
    }

    if ( wifi.joinAP( SSID, PASSWORD ) ) {
        Serial.println( wifi.getLocalIP().c_str() );
    } else {
        Serial.println( "Failed : AP Connect" );
    }
    delay(10);
    if ( wifi.disableMUX() ) {
        Serial.println("OK: Single");
    } else {
        Serial.println("ERROR: Single");
    }
    delay(100);
}

void loop(void)
{
    char msg[128] = {0};
    int i;

    if ( wifi.createTCP( HOST_NAME, HOST_PORT ) ){
        Serial.println("OK: TCP Connect.");

        wifi.recv( msg, sizeof(msg), 10000 );
        for( i = 0; i < sizeof( msg ); i++) {
            Serial.print( (char)msg[i] );
        }
        
        wifi.releaseTCP();
    } else {
        Serial.println("Faild: TCP Connect.");
    }

   while( 1 ){
       delay(10000);
   } 
 }


